Subject: Offline Message from Angie Larson: I would please like a response from anyone
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Tue, 26 Oct 2021 00:58:35 -0000

From: Angie Larson <[email-masked]>
Phone: 3603280068
Location: Bremerton, United States
URL: https://swagtron.com/swagtron-return-rma-form/
Department: SwagTron

I would please like a response from anyone at Swagtron at this point it has been 8 months since I returned my Swagtron Hoverboard due to the recall. Not once was I ever told the credit would only be good for certain products that you never have in stock. I need this issue fixed immediately. I should at least be entitled to be send a refurbished T3 hoverboard for my credit coupon that has been expired and claims it does not exist. 
I paid alot more than the $200 credit that was offered but can not and have not been able to use due to not being in stock. I am ready to contact Better Business Bureau. I have spoke with an Attorney about this matter but wanted to try for some sort of last resolution from the company. Please resolve this issue.
Thank You AngelaLarson
360 328 0068
[email-masked] 

----
Zopim
https://www.zopim.com